Get all procurements
curl --request GET \
--url https://api-ezyconnect.ezytail.com/procurements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/procurements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/procurements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"activityCode": "<string>",
"activityName": "<string>",
"uniqueProcurementID": "<string>",
"expectedReceiptDate": "2023-11-07T05:31:56Z",
"procurementEntries": [
{
"lineID": "<string>",
"articleReference": "<string>",
"expectedQuantity": 123,
"id": 123,
"activityCode": "<string>",
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"uniqueProcurementID": "<string>",
"supplierOrderNumberDO": "<string>",
"receptionUnitOfMeasure": "<string>",
"articlePriceAtReception": 123,
"expectedLotNumber": "<string>",
"announcedArticleDate": "2023-11-07T05:31:56Z",
"articleShippingDeadline": "2023-11-07T05:31:56Z",
"articlePCB": 123,
"articleSPCB": 123,
"lineMessage": "<string>",
"customField1": "<string>",
"customField2": "<string>",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"dateProcessed": "2023-11-07T05:31:56Z",
"gradeCode": "<string>"
}
],
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"supplierOrderNumberDO": "<string>",
"ownerCode": "<string>",
"procurementTypeCode": "<string>",
"procurementGroup": "<string>",
"procurementGroupDescription": "<string>",
"supplierCode": "<string>",
"supplierName": "<string>",
"customField1": "<string>",
"customField2": "<string>",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>",
"id": "<string>"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Procurement
Get all procurements
Fetch all procurements with optional filters, limited to 100 results
GET
/
procurements
Get all procurements
Authorizations
JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below. \r\n\r\nExample: 'Bearer 12345abcdef'
Query Parameters
Response
OK
Required string length:
1 - 3Required string length:
1 - 30Required string length:
1 - 20Show child attributes
Show child attributes
Maximum string length:
30Maximum string length:
3Maximum string length:
3Maximum string length:
14Maximum string length:
80Maximum string length:
13Maximum string length:
30Maximum string length:
200Maximum string length:
200Maximum string length:
256Maximum string length:
256Maximum string length:
256Maximum string length:
256Maximum string length:
256Maximum string length:
256
